/* COLORS */
/* TYPOGRAPHY */
/* ---- MEDIA QUERIES ----- */
.course-package-block {
  background-color: #F6EEFD;
}
.course-package-block .container {
  display: grid;
  grid-template-columns: 2.6fr 1fr;
  gap: 5rem;
  width: 100%;
  max-width: calc(100% - 11.2rem);
  margin: 0 auto;
}
.course-package-block .course-package-icons {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  margin: 0 0 2rem;
}
.course-package-block .course-package-icons .course-package-icon {
  width: 4rem;
  height: 4rem;
}
.course-package-block .course-package-icons .course-package-icon img {
  aspect-ratio: 1/1;
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.course-package-block .course-package-icons .plus {
  display: flex;
  align-items: center;
}
.course-package-block .heading {
  margin: 0 0 1.6rem;
}
.course-package-block .heading span {
  display: block;
}
.course-package-block .course-package-icon-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  margin: 0 0 1.6rem;
}
.course-package-block .course-package-icon-grid .course-package-icon-grid-item {
  display: flex;
  align-items: center;
  gap: 0.4rem;
}
.course-package-block .button-container {
  margin: 4rem 0 0;
}
.course-package-block .course-package-image {
  position: relative;
  margin-top: 2.8rem;
}
.course-package-block .course-package-image .image-mask {
  -webkit-mask-image: url("../../../assets/svg/image_cut_cross.svg");
  mask-image: url("../../../assets/svg/image_cut_cross.svg");
  -webkit-mask-mode: alpha;
  mask-mode: alpha;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-position: center;
  -webkit-mask-size: cover;
  mask-size: cover;
  background-color: black;
  overflow: hidden;
  aspect-ratio: 1/1;
}
.course-package-block .course-package-image .image-mask img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}
.course-package-block .course-package-image .course-package-badge {
  position: absolute;
  top: 0;
  left: -1.5rem;
}
.course-package-block .course-package-image .course-package-badge img {
  max-width: 10.2rem;
}

@media (max-width: 768px) {
  .course-package-block .container {
    grid-template-columns: 1fr;
    gap: 4.6rem;
    max-width: 100%;
  }
  .course-package-block .course-package-icons {
    justify-content: center;
    gap: 1.6rem;
    margin: 0 0 2.4rem;
  }
  .course-package-block .course-package-icons .course-package-icon {
    width: 3.2rem;
    height: 3.2rem;
  }
  .course-package-block .heading {
    margin: 0 0 2rem;
    text-align: center;
  }
  .course-package-block .heading span {
    display: inline;
  }
  .course-package-block .course-package-icon-grid {
    justify-content: center;
    gap: 1.6rem;
    margin: 0 0 3.2rem;
  }
  .course-package-block .text {
    text-align: center;
  }
  .course-package-block .button-container {
    margin: 4.6rem 0 0;
  }
  .course-package-block .button-container .button {
    width: 100%;
  }
  .course-package-block .course-package-image {
    max-width: 26.3rem;
    margin: 0 auto;
  }
}